Advisories ยป MGASA-2015-0337

Updated openafs package fixes security vulnerabilities

Publication date: 08 Sep 2015
Type: security
Affected Mageia releases : 4 , 5
CVE: CVE-2015-3282 , CVE-2015-3283 , CVE-2015-3284 , CVE-2015-3285 , CVE-2015-6587

Description

Updated openafs packages fix security vulnerabilities:

Memory allocated by vos for VLDB entry structures was not cleared prior to
use, meaning stack data could be sent over the network, possibly in the clear
if crypt mode was not in use (CVE-2015-3282).

The default use by bos of clear rather than crypt mode can allow spoofing
commands, including some which modify server state if restricted mode was not
enabled (CVE-2015-3283).

A local user executing commands which make pioctl calls to the kernel will
have some contents of kernel memory leaked when buffers used are larger than
data being returned (CVE-2015-3284).

A local user executing the OSD FS command pioctl can trigger a panic due to
an incorrect buffer being used for return status of the command
(CVE-2015-3285).

The vlserver allows pattern matching on volume names via regular expressions
when listing attributes. Because the regular expression is not checked for
situations which can overflow the buffers used, an attack is possible which
reads arbitrary memory beyond the end of the buffer and can act on it as part
of the expression evaluation, potentially crashing the process
(CVE-2015-6587).
                

References

SRPMS

5/core

4/core